Last Comment Bug 763350 - Clean up some includes in content/ and dom/
: Clean up some includes in content/ and dom/
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
-- normal (vote)
: mozilla16
Assigned To: David Zbarsky (:dzbarsky)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 15:04 PDT by David Zbarsky (:dzbarsky)
Modified: 2012-07-02 18:42 PDT (History)
6 users (show)
dzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (208.84 KB, patch)
2012-06-10 15:04 PDT, David Zbarsky (:dzbarsky)
bugs: review+
Details | Diff | Splinter Review

Description User image David Zbarsky (:dzbarsky) 2012-06-10 15:04:46 PDT
Created attachment 631776 [details] [diff] [review]
Patch
Comment 1 User image David Zbarsky (:dzbarsky) 2012-06-10 17:45:36 PDT
I can ask someone else for review on the accessible/ parts if needed.
Comment 2 User image Trevor Saunders (:tbsaunde) 2012-06-11 03:06:31 PDT
(In reply to David Zbarsky from comment #1)
> I can ask someone else for review on the accessible/ parts if needed.

I took a quick look out of curiosity, and it seems fine.  thanks!
Comment 3 User image Olli Pettay [:smaug] 2012-06-28 09:02:38 PDT
Comment on attachment 631776 [details] [diff] [review]
Patch

>diff --git a/content/events/public/nsMutationEvent.h b/content/events/public/nsMutationEvent.h
>--- a/content/events/public/nsMutationEvent.h
>+++ b/content/events/public/nsMutationEvent.h
>@@ -1,21 +1,18 @@
> /* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
> /* This Source Code Form is subject to the terms of the Mozilla Public
>  * License, v. 2.0. If a copy of the MPL was not distributed with this
>  * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
> 
> #ifndef nsMutationEvent_h__
> #define nsMutationEvent_h__
> 
>-#include "nsGUIEvent.h"
> #include "nsIDOMNode.h"
> #include "nsIAtom.h"
>-#include "nsIDOMEventTarget.h"
>-#include "nsIContent.h"
> 
> class nsMutationEvent : public nsEvent
> {
> public:
>   nsMutationEvent(bool isTrusted, PRUint32 msg)
>     : nsEvent(isTrusted, msg, NS_MUTATION_EVENT),
>       mAttrChange(0)
>   {
So whoever includes nsMutationEvent.h, must include nsGUIEvent.h?
Doesn't feel right.


>+++ b/content/events/src/nsDOMDeviceLightEvent.cpp
>@@ -1,14 +1,14 @@
> /* This Source Code Form is subject to the terms of the Mozilla Public
>  * License, v. 2.0. If a copy of the MPL was not distributed with this file,
>  * You can obtain one at http://mozilla.org/MPL/2.0/. */
> 
>+#include "nsDOMClassInfoID.h"
> #include "nsDOMDeviceLightEvent.h"
>-#include "nsContentUtils.h"
> #include "DictionaryHelpers.h"

These changes are so going to break one my patch, but I'll fix it.
(I'm doing the same thing in that patch.)

Make sure to push this to tryserver.
r=me with the nsMutationEvent.h fixed.
Comment 4 User image David Zbarsky (:dzbarsky) 2012-07-01 16:46:58 PDT
Pushed with the nsMutationEvent.h change
https://hg.mozilla.org/integration/mozilla-inbound/rev/2068c7dda3a2

Note You need to log in before you can comment on or make changes to this bug.